From 261a864f7c8823093accfe751ef1863d716a4d53 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Manuel=20R=C3=BCger?= <mrueg@gentoo.org>
Date: Sun, 7 Jul 2019 15:22:16 +0200
Subject: [PATCH] configure.ac: Make building manpages optional


diff --git a/configure.ac b/configure.ac
index 2f74bf8..5f98de5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -96,7 +96,8 @@ AC_CHECK_PROG([doxygen], [doxygen], [yes], [no])
 if test "x${db2man}" != xyes; then AC_MSG_RESULT([Warning: docbook man page converter not found - skip generating man pages]); fi
 if test "x${doxygen}" != xyes; then AC_MSG_RESULT([Warning: doxygen not found - skip generating man pages]); fi
 
-AM_CONDITIONAL([ENABLEMAN], [test "x${db2man}" = xyes -a "x${doxygen}" = xyes])
+AC_ARG_ENABLE([manpages], [AS_HELP_STRING([--enable-manpages], [build man pages])], [manpages="${enableval}"], [manpages=yes])
+AM_CONDITIONAL([ENABLEMAN], [test "x${db2man}" = xyes -a "x${doxygen}" = xyes -a "x${manpages}" = xyes])
 
 
 # Build options
-- 
2.21.0

